Transaction error Perfect FC6 setup

Discussion in 'HOWTO-Related Questions' started by ACDII, Jul 5, 2007.

  1. ACDII

    ACDII New Member

    At step 6 where you run yum install, I am getting an error.

    Code:
    # yum install fetchmail wget bzip2 unzip zip nmap openssl ly                                                                                             nx fileutils ncftp gcc gcc-c++
    Loading "installonlyn" plugin
    Setting up Install Process
    Setting up repositories
    Reading repository metadata in from local files
    Parsing package install arguments
    Resolving Dependencies
    --> Populating transaction set with selected packages. Please wait.
    ---> Package wget.x86_64 0:1.10.2-8.fc6.1 set to be updated
    ---> Package gcc.x86_64 0:4.1.2-13.fc6 set to be updated
    ---> Package fetchmail.x86_64 0:6.3.6-2.fc6 set to be updated
    ---> Package bzip2.x86_64 0:1.0.3-6.fc6 set to be updated
    ---> Package lynx.x86_64 0:2.8.5-28.1 set to be updated
    ---> Package ncftp.x86_64 2:3.2.0-2.fc6 set to be updated
    ---> Package coreutils.x86_64 0:5.97-12.5.fc6 set to be updated
    ---> Package openssl.i686 0:0.9.8b-8.3.fc6 set to be updated
    ---> Package openssl.x86_64 0:0.9.8b-8.3.fc6 set to be updated
    ---> Package gcc-c++.x86_64 0:4.1.2-13.fc6 set to be updated
    --> Running transaction check
    --> Processing Dependency: gcc = 4.1.1-30 for package: gcc-gnat
    --> Processing Dependency: libstdc++ = 4.1.2-13.fc6 for package: gcc-c++
    --> Processing Dependency: libgomp = 4.1.2-13.fc6 for package: gcc
    --> Processing Dependency: gcc = 4.1.1-30 for package: gcc-java
    --> Processing Dependency: libgcc >= 4.1.2-13.fc6 for package: gcc
    --> Processing Dependency: gcc = 4.1.1-30 for package: gcc-objc
    --> Processing Dependency: gcc = 4.1.1-30 for package: gcc-gfortran
    --> Processing Dependency: openssl = 0.9.8b-8 for package: openssl-devel
    --> Processing Dependency: cpp = 4.1.2-13.fc6 for package: gcc
    --> Processing Dependency: libstdc++-devel = 4.1.2-13.fc6 for package: gcc-c++
    --> Restarting Dependency Resolution with new changes.
    --> Populating transaction set with selected packages. Please wait.
    ---> Package libgomp.x86_64 0:4.1.2-13.fc6 set to be updated
    ---> Package libstdc++.x86_64 0:4.1.2-13.fc6 set to be updated
    ---> Package gcc-objc.x86_64 0:4.1.2-13.fc6 set to be updated
    ---> Package cpp.x86_64 0:4.1.2-13.fc6 set to be updated
    ---> Package libgcc.x86_64 0:4.1.2-13.fc6 set to be updated
    ---> Downloading header for openssl-devel to pack into transaction set.
    openssl-devel-0.9.8b-8.3. 100% |=========================| 142 kB    00:01
    ---> Package openssl-devel.i386 0:0.9.8b-8.3.fc6 set to be updated
    ---> Package libstdc++-devel.x86_64 0:4.1.2-13.fc6 set to be updated
    ---> Package gcc-gnat.x86_64 0:4.1.2-13.fc6 set to be updated
    --> Running transaction check
    --> Processing Dependency: libobjc = 4.1.2-13.fc6 for package: gcc-objc
    --> Processing Dependency: gcc = 4.1.1-30 for package: gcc-gfortran
    --> Processing Dependency: gcc = 4.1.1-30 for package: gcc-java
    --> Processing Dependency: libgnat = 4.1.2-13.fc6 for package: gcc-gnat
    --> Restarting Dependency Resolution with new changes.
    --> Populating transaction set with selected packages. Please wait.
    ---> Package gcc-gfortran.x86_64 0:4.1.2-13.fc6 set to be updated
    ---> Package libobjc.x86_64 0:4.1.2-13.fc6 set to be updated
    ---> Package libgnat.x86_64 0:4.1.2-13.fc6 set to be updated
    ---> Package gcc-java.x86_64 0:4.1.2-13.fc6 set to be updated
    --> Running transaction check
    --> Processing Dependency: libgcj-devel = 4.1.2-13.fc6 for package: gcc-java
    --> Processing Dependency: libgcj = 4.1.2-13.fc6 for package: gcc-java
    --> Processing Dependency: libgfortran = 4.1.2-13.fc6 for package: gcc-gfortran
    --> Restarting Dependency Resolution with new changes.
    --> Populating transaction set with selected packages. Please wait.
    ---> Package libgcj.x86_64 0:4.1.2-13.fc6 set to be updated
    ---> Package libgfortran.x86_64 0:4.1.2-13.fc6 set to be updated
    ---> Package libgcj-devel.x86_64 0:4.1.2-13.fc6 set to be updated
    --> Running transaction check
    
    Dependencies Resolved
    
    =============================================================================
     Package                 Arch       Version          Repository        Size
    =============================================================================
    Installing:
     lynx                    x86_64     2.8.5-28.1       core              1.7 M
     ncftp                   x86_64     2:3.2.0-2.fc6    extras            566 k
    Updating:
     bzip2                   x86_64     1.0.3-6.fc6      updates            49 k
     coreutils               x86_64     5.97-12.5.fc6    updates           3.5 M
     fetchmail               x86_64     6.3.6-2.fc6      updates           532 k
     gcc                     x86_64     4.1.2-13.fc6     updates           5.3 M
     gcc-c++                 x86_64     4.1.2-13.fc6     updates           3.8 M
     openssl                 i686       0.9.8b-8.3.fc6   updates           1.4 M
     openssl                 x86_64     0.9.8b-8.3.fc6   updates           1.4 M
     wget                    x86_64     1.10.2-8.fc6.1   updates           582 k
    Updating for dependencies:
     cpp                     x86_64     4.1.2-13.fc6     updates           2.9 M
     gcc-gfortran            x86_64     4.1.2-13.fc6     updates           3.5 M
     gcc-gnat                x86_64     4.1.2-13.fc6     updates            12 M
     gcc-java                x86_64     4.1.2-13.fc6     updates           3.2 M
     gcc-objc                x86_64     4.1.2-13.fc6     updates           2.9 M
     libgcc                  x86_64     4.1.2-13.fc6     updates            89 k
     libgcj                  x86_64     4.1.2-13.fc6     updates            18 M
     libgcj-devel            x86_64     4.1.2-13.fc6     updates           1.4 M
     libgfortran             x86_64     4.1.2-13.fc6     updates           237 k
     libgnat                 x86_64     4.1.2-13.fc6     updates           948 k
     libgomp                 x86_64     4.1.2-13.fc6     updates            76 k
     libobjc                 x86_64     4.1.2-13.fc6     updates            96 k
     libstdc++               x86_64     4.1.2-13.fc6     updates           344 k
     libstdc++-devel         x86_64     4.1.2-13.fc6     updates            10 M
     openssl-devel           i386       0.9.8b-8.3.fc6   updates           1.8 M
    
    Transaction Summary
    =============================================================================
    Install      2 Package(s)
    Update      23 Package(s)
    Remove       0 Package(s)
    
    Total download size: 76 M
    Is this ok [y/N]: y
    Downloading Packages:
    (1/1): openssl-devel-0.9.8b-8.3.fc6.i386.rpm                    1.8 MB 00:22
    Running Transaction Test
    Finished Transaction Test
    
    
    Transaction Check Error:   file /usr/share/java/libgcj-4.1.1.jar from install of libgcj-4.1.2-13.fc6 conflicts with file from package libgcj-4.1.1-30
      file /usr/share/java/libgcj-tools-4.1.1.jar from install of libgcj-4.1.2-13.fc6 conflicts with file from package libgcj-4.1.1-30
      file /usr/share/man/man1/fastjar.1.gz from install of libgcj-4.1.2-13.fc6 conflicts with file from package libgcj-4.1.1-30
      file /usr/share/man/man1/gcj-dbtool.1.gz from install of libgcj-4.1.2-13.fc6 conflicts with file from package libgcj-4.1.1-30
      file /usr/share/man/man1/gij.1.gz from install of libgcj-4.1.2-13.fc6 conflicts with file from package libgcj-4.1.1-30
      file /usr/share/man/man1/grepjar.1.gz from install of libgcj-4.1.2-13.fc6 conflicts with file from package libgcj-4.1.1-30
      file /usr/share/man/man1/grmic.1.gz from install of libgcj-4.1.2-13.fc6 conflicts with file from package libgcj-4.1.1-30
      file /usr/share/man/man1/grmiregistry.1.gz from install of libgcj-4.1.2-13.fc6 conflicts with file from package libgcj-4.1.1-30
      file /usr/share/man/man1/jv-convert.1.gz from install of libgcj-4.1.2-13.fc6 conflicts with file from package libgcj-4.1.1-30
    
    I did everything in the how to, the only two exceptions are I need a few other packages for other programs, and forgot to check the FTP one. One other thing is I didn't use logical volumes, I want the base OS on raid 1, with the DB and other on Raid 5. When I first ran the command I got an error regarding a dependency missing, I ran it again and got the above error. Rebooted, ran it again and same error.
     
  2. ACDII

    ACDII New Member

    Update

    Found the fix for it. Ran the updates and I was then able to continue with the howto.

    So when doing the howto for FC6, do a yum update before going to step 6 to avoid transaction errors.
     

Share This Page